#include <be/interface/Rect.h>
#include <be/support/Debug.h>
#include <be/support/List.h>
#include "AddOnView.h"

AddOnView::AddOnView(BRect frame, const char* name) :
	BView(frame, name, B_FOLLOW_ALL, B_NAVIGABLE_JUMP | B_FULL_UPDATE_ON_RESIZE)
{
	PRINT(("AddOnView::AddOnView(BRect,const char*)\n"));

	selectedItems = new BList();
}

AddOnView::~AddOnView()
{
	PRINT(("AddOnView::~AddOnView()\n"));

	delete selectedItems;
}

void
AddOnView::AttachedToWindow()
{
	BView::AttachedToWindow();

	PRINT(("AddOnView::AttachedToWindow()\n"));

	BView* parent = Parent();
	if(parent)
	{
		SetViewColor(parent->ViewColor());
	}
	else
	{
		SetViewColor(ui_color(B_PANEL_BACKGROUND_COLOR));
	}
}

void
AddOnView::Hide()
{
	PRINT(("AddOnView::Hide()\n"));

	BView::Hide();
}

void
AddOnView::Show()
{
	PRINT(("AddOnView::Show()\n"));

	BView::Show();
}

void
AddOnView::SelectionChanged(BList* list)
{
	PRINT(("AddOnView::SelectionChanged(BList* list)\n"));
	
	selectedItems->MakeEmpty();
	selectedItems->AddList(list);
}

void
AddOnView::Apply()
{
	PRINT(("AddOnView::Apply()\n"));
}

void
AddOnView::Reset()
{
	PRINT(("AddOnView::Reset()\n"));
}
