#ifndef __APP_VIEW_H__
#define __APP_VIEW_H__

#include <be/interface/View.h>

class BButton;
class BetterScrollView;
class BListView;
class BMessage;
class BRect;
class BStatusBar;
class BStringView;
class PickListView;

class AppView : public BView
{
	public:
		AppView(BRect frame);
		virtual void AttachedToWindow();
		virtual void GetPreferredSize(float* width, float* height);
		virtual void MessageReceived(BMessage* message);
		void NextItem();
		void PrevItem();
		void FirstItem();
		void LastItem();
		void SelectAllItems();
		void ClearList();
		void Apply(); // moved priv->pub by CP 20030414
		void SelectView(int32 index);
	private:
		void InitView();
		void SelectionChanged();
		void Reset();
		void AddRefs(BMessage* refsMessage);
		static int32 AddRefsThreadFunc(void* data);
		void AddRefsHelper(AppView* view, BMessage* refsMessage);
		static int SortFunc(const void* first, const void* second);
		PickListView* pickListView;
		BListView* listView;
		BetterScrollView* scrollView;
		BStringView* selectedStringView;
		BButton* applyButton;
		BButton* resetButton;
		BStatusBar* statusBar;
		bool applying;
};

void quit_requested(int sig);
#endif
